Delete a specific version of a voice design
Permanently deletes a specific version of a voice design. The version number must be a positive integer.
DELETE
/
voice_designs
/
{id}
/
versions
/
{version}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.voiceDesigns.deleteVersion(1, { id: 'id' });import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.voice_designs.delete_version(
version=1,
id="id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.VoiceDesigns.DeleteVersion(
context.TODO(),
1,
telnyx.VoiceDesignDeleteVersionParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignDeleteVersionParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VoiceDesignDeleteVersionParams params = VoiceDesignDeleteVersionParams.builder()
.id("id")
.version(1L)
.build();
client.voiceDesigns().deleteVersion(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.voice_designs.delete_version(1, id: "id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->voiceDesigns->deleteVersion(1, id: 'id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs delete-version \
--api-key 'My API Key' \
--id id \
--version 1curl --request DELETE \
--url https://api.telnyx.com/v2/voice_designs/{id}/versions/{version} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The voice design UUID or name.
The version number to delete.
Required range:
x >= 1Response
Voice design version deleted successfully.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.voiceDesigns.deleteVersion(1, { id: 'id' });import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.voice_designs.delete_version(
version=1,
id="id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.VoiceDesigns.DeleteVersion(
context.TODO(),
1,
telnyx.VoiceDesignDeleteVersionParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.voicedesigns.VoiceDesignDeleteVersionParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VoiceDesignDeleteVersionParams params = VoiceDesignDeleteVersionParams.builder()
.id("id")
.version(1L)
.build();
client.voiceDesigns().deleteVersion(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.voice_designs.delete_version(1, id: "id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->voiceDesigns->deleteVersion(1, id: 'id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx voice-designs delete-version \
--api-key 'My API Key' \
--id id \
--version 1curl --request DELETE \
--url https://api.telnyx.com/v2/voice_designs/{id}/versions/{version} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "Voice design not found"
}
]
}